﻿// -----------------------------------------------------------------------
// <copyright file="MainWindowViewModel.cs" company="M&M">
// TODO: Update copyright text.
// </copyright>
// -----------------------------------------------------------------------

namespace ComboEditorInXamDataGrid.ViewModels
{
    using System;
    using System.Collections.Generic;
    using System.Linq;
    using System.Text;
    using System.Collections.ObjectModel;

    /// <summary>
    /// TODO: Update summary.
    /// </summary>
    public class MainWindowViewModel : ViewModelBase
    {
        public MainWindowViewModel()
        {
            List<ChannelType> availableChannelTypes1 = new List<ChannelType>();
            availableChannelTypes1.Add(new ChannelType("1", "Channel1"));
            availableChannelTypes1.Add(new ChannelType("2", "Channel2"));
            availableChannelTypes1.Add(new ChannelType("3", "Channel3"));
            var channels = new ObservableCollection<ChannelViewModel>();
            var channelViewModel1 = new ChannelViewModel("Channel1", "Test Channel", availableChannelTypes1);
            channels.Add(channelViewModel1);

            var availableChannelTypes2 = new List<ChannelType>();
            availableChannelTypes2.Add(new ChannelType("4", "Channel4"));
            availableChannelTypes2.Add(new ChannelType("5", "Channel5"));
            availableChannelTypes2.Add(new ChannelType("6", "Channel6"));
            availableChannelTypes2.Add(new ChannelType("7", "Channel7"));
            var channelViewModel2 = new ChannelViewModel("Channel4", "Test Channel", availableChannelTypes2);
            channels.Add(channelViewModel2);
            ChannelViewModels = channels;
        }

        private ObservableCollection<ChannelViewModel> _channelViewModels;

        public ObservableCollection<ChannelViewModel> ChannelViewModels
        {
            get
            {
                return this._channelViewModels;
            }

            set
            {
                _channelViewModels = value;
                OnPropertyChanged("ChannelViewModels");
            }
        }
    }
}
